/*
 * ShowGnu.java, 7 juil. 2005
 * 
 * This file is part of xtnd-commons.
 *
 * Copyright © 2005 Johan Cwiklinski
 *
 * File :               ShowGnu.java
 * Author's email :     johan@x-tnd.be
 * Author's Website :   http://www.x-tnd.be/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 * 
 */

package be.xtnd.commons;

/**
 * Affiche le message de license en mode interactif
 *
 * @author Johan Cwiklinski
 */
public class ShowGnu {
	/**
	 * Affiche le copyright en mode interactif
	 * 
	 * @param app titre de l'application
	 * @param year année de l'application
	 * @param author auteur de l'application
	 */
	public ShowGnu(String app, String year, String author){
    	System.out.println(app+", Copyright (C) "+year+" "+author);
    	System.out.println("It comes with ABSOLUTELY NO WARRANTY.");
    	System.out.println("This is free software, and you are welcome");
    	System.out.println("to redistribute it under certain conditions,");
    	System.out.println("see license.txt file for details.");
    	System.out.println("*********************************************************");

	}
}
